package eu.dnetlib.ariadneplus.reader.utils;

import java.time.LocalDate;
import java.time.format.DateTimeFormatter;

public class ESUtils {
    private static DateTimeFormatter originalRecordDateFormatter = DateTimeFormatter.ofPattern("dd MMM yyyy");
    private static DateTimeFormatter elasticSearchDateFormatter = DateTimeFormatter.ofPattern("yyyy-MM-dd");

    public static String getESFormatDate(String originalDate) {
        LocalDate parsedDate = LocalDate.parse(originalDate, originalRecordDateFormatter);
        return parsedDate.format(elasticSearchDateFormatter);
    }
}
